X-Git-Url: https://git.rohieb.name/openwrt.git/blobdiff_plain/f77b88d124ea1c900f9cf5e04046939aad48bbe1..b88e8fef0599fe8df230e21080dc28d18fa07ced:/scripts/make-ipkg-dir.sh

diff --git a/scripts/make-ipkg-dir.sh b/scripts/make-ipkg-dir.sh
index f725413ae..902a4b526 100755
--- a/scripts/make-ipkg-dir.sh
+++ b/scripts/make-ipkg-dir.sh
@@ -1,11 +1,21 @@
-#!/bin/bash
+#!/bin/sh
+BASE=http://svn.openwrt.org/openwrt/trunk/openwrt
 TARGET=$1
 CONTROL=$2
 VERSION=$3
 ARCH=$4
 
+WD=$(pwd)
+
 mkdir -p "$TARGET/CONTROL"
 grep '^[^(Version|Architecture)]' "$CONTROL" > "$TARGET/CONTROL/control"
+grep '^Maintainer' "$CONTROL" 2>&1 >/dev/null || \
+        echo "Maintainer: OpenWrt Developers Team <openwrt-devel@openwrt.org>" >> "$TARGET/CONTROL/control"
+grep '^Source' "$CONTROL" 2>&1 >/dev/null || {
+        pkgbase=$(echo "$WD" | sed -e "s|^$TOPDIR/||g")
+        [ "$pkgbase" = "$WD" ] && src="N/A" || src="$BASE/$pkgbase"
+        echo "Source: $src" >> "$TARGET/CONTROL/control"
+}
 echo "Version: $VERSION" >> "$TARGET/CONTROL/control"
 echo "Architecture: $ARCH" >> "$TARGET/CONTROL/control"
 chmod 644 "$TARGET/CONTROL/control"